Bug 826502 - vdsm bootstrap process fails when using fedora 17 ovirt engine and rhel 6.x host
vdsm bootstrap process fails when using fedora 17 ovirt engine and rhel 6.x host
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Dan Kenigsberg
Depends On:
  Show dependency treegraph
Reported: 2012-05-30 07:23 EDT by Eyal Edri
Modified: 2013-01-30 17:50 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-30 17:50:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eyal Edri 2012-05-30 07:23:56 EDT
Description of problem:

If you build vdsm packages on fedora 17:

./autogen.sh --system
make rpm

the vdsm-bootstrap rpm will create deployUtil.py file which full paths that exist on fedora 17.

for e.g.: EX_YUM = "/bin/yum".

when trying to install a RHEL host, bootstrap will fail since yum has a different path on rhel (i.e /usr/bin/yum). 

this also applies to other paths like 'openssl'.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create vdsm rpms on fedora 17
2.try to add rhel host from webadmin 
3.look at the logs on /tmp on the rhel host.
Actual results:

Expected results:

Additional info:
Comment 1 Dan Kenigsberg 2012-05-30 11:20:31 EDT
I do not mind if someone generalizes bootstrap to work for both F17 and EL6, but this is of no urgency.
Comment 2 Itamar Heim 2013-01-30 17:50:34 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.